Get order information

The endpoint to retrieve the order information, including order cancellations.

Get order information

get
/orders/{orderReferenceId}
Path parameters
orderReferenceIdstringRequired

Unique ID of order.

Example: 1111111
Query parameters
langstringOptional

Language of the content to retrieve (ISO 639-1). Defaults to English if undefined.

Example: en
externalbooleanOptional

Set this parameter to true to trace an order using the partner's own order ID (defined as external_reference upon order creation) as orderReferenceId.

Example: true
Header parameters
AuthorizationstringRequired

Token <Your_API_Key>.

Default: Token <Partner_API_key>.
Responses
chevron-right
200

Successful operation.

application/json
product_idintegerOptional

ID of the booked product.

promoted_product_idinteger · nullableOptional

Only applicable for products that aggregate the availability of a group of products. The promoted_product_id is the ID that was originally promoted while the actually booked product is different.

order_reference_idstringOptional

Order reference ID of the order.

basket_reference_idstringOptional

Basket reference ID of the order.

daystring · nullableOptional

Booked visit date.

timeslotstring · nullableOptional

Booked timeslot at the given visit date.

order_statusstringOptional

The order status, as one of the following values:

  • new: Order was created, but not yet confirmed or paid.
  • pending: Order was confirmed or paid, and the tickets are still being processed.
  • failed: Order was not paid or the ticket processing failed.
  • done: Order was completed and PDF tickets have been generated.
  • cancelled: Order was cancelled after it had been completed.
is_currently_cancellablebooleanOptional

Indicates if the order is currently eligible for cancellation.

cancellation_deadlinestring · nullableOptional

The latest timestamp allowed for the order cancellation. Only returned if the value of is_currently_cancellable is true. Format ISO_8601 YYYY-MM-DDTHH:MM:SS±HH:MM.

external_referencestring · nullableOptional

External order ID as provided upon order creation API request. Unique, maximum 255 characters

get
/orders/{orderReferenceId}

Last updated

Was this helpful?